--[[
****************************************************************************************
AckisRecipeList Dataminer
$Date: 2008-07-23 16:25:04 -0400 (Wed, 23 Jul 2008) $
$Rev: 79001 $

Author: Ackis on Illidan US Horde

****************************************************************************************

Require socket.  You can get it from: http://luaforge.net/projects/luasocket/

This is not to be run in WoW.  This is a script which will populate the recipe database from online 
database web-sites like WoWDB.com

****************************************************************************************
]]--
--http://ace.pastey.net/92285
http = require("socket.http")

function GetAlchemyInfo()

	local url = "http://www.wowdb.com/search.aspx?browse=6.11.171"
	local webpagetext = http.request(url)
	--local webpagetext = "fdsafdsafdassdafsdadsff var cg_json_1=[{id:38070,name:'Mercurial Stone',school:0,category:11,skillup:[325,340,347.5,355],skill:[171],produces:[31080,1],rarity:2,reagents:[[22452,1],[21886,1],[22457,1]],learned:325}{id:38070,name:'Mercurial Stone',school:0,category:11,skillup:[325,340,347.5,355],skill:[171],produces:[31080,1],rarity:2,reagents:[[22452,1],[21886,1],[22457,1]],learned:325}];afsdfasdfasdfdsa"
	local patternmatch = "var cg_json_1=(.+);"
	local recipematch = "{(.-)}"
	local alchemymatch = "id:(%d+),name:'(.+)',school:(%d+),category:(%d+),skillup:(.+),skill:(.+),produces:(.+),rarity:(%d+),reagents:(.+),learned:(%d+)"
	local RecipeDB = "self:addTradeSkillSpell(%s, %s) -- %s"

	-- Get all the entries from the page into a string of just entries.
	local recipestrings = string.sub(string.match(webpagetext,patternmatch),2,-2)

	-- Parse all the entries, spliting them up
	for x in string.gmatch(recipestrings, recipematch) do

		--print(x)

		local spellid,spellname,school,category,skillup,skill,itemid,rarity,reagents,learned,rank

		spellid,spellname,school,category,skillup,skill,itemid,rarity,reagents,learned = string.match(x, alchemymatch)

		-- Not a normal recipe, could be a header or speciality
		if (spellid == nil) then

				local alchemyheadermatch = "id:(%d+),name:'(.+)',rank:'(%a+)',school:(%d+),category:(%d+),skill:(.+)"
				spellid,spellname,rank,school,category,skill = string.match(x, alchemyheadermatch)

			-- Not a normal recipe or header
			if (spellid == nil) then

				local alchemyspecialitymatch = "id:(%d+),name:'(.+)',school:(%d+),category:(%d+),skill:(.+)"
				spellid,spellname,school,category,skill = string.match(x, alchemyspecialitymatch)
				rank = ""

			end

			if (spellid ~= nil) then
				--print(string.format(RecipeDB,spellid,"",spellname))
			end
		else
			print(string.format(RecipeDB,spellid,learned,spellname))
		end

	end

end

do

	GetAlchemyInfo()

end
